<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::Billboard Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#88d66ce919092367df57a2e3abcae059">_notifyOwner</a>(BillboardSet *owner)</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#39ef001d2052cbae98014753e210b732">Billboard</a>()</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#ff96bdb3a3446cdf08499e58aa03c3c5">Billboard</a>(const Vector3 &amp;position, BillboardSet *owner, const ColourValue &amp;colour=ColourValue::White)</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#261647d2b3ed936e9a2f05309ae878d0">BillboardParticleRenderer</a> class</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#7f055c0ed81c6b3bef6d154d128093a1">BillboardSet</a> class</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#dc2355d3465e10bde213705e432e0826">getColour</a>(void) const </td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#0baf5a83e70a59a3cdaf4ce4a929b4d4">getOwnHeight</a>(void) const </td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#dc14c9f66bf55dc51286b163f1417fbb">getOwnWidth</a>(void) const </td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#36dfa19a35f697aadf9844021fcedb03">getPosition</a>(void) const </td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#21d65daa1be659c9234da380b8e9f2f4">getRotation</a>(void) const </td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#44c9c4056e597a7b50d8881fc1d1785d">getTexcoordIndex</a>(void) const </td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#520cbeb132a68eeb38f34e87e71f2749">getTexcoordRect</a>(void) const </td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#3857d9e9a3e831f8621598be8ad54e16">hasOwnDimensions</a>(void) const </td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#eea6556e787c984b97bf779b7b90dbb1">isUseTexcoordRect</a>(void) const </td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#ef9f7ad996732865cd2c8842ee265064">mColour</a></td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#64425b354973d2d957bc878fca407aad">mDirection</a></td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#19e9a04c451b91b5c74d61b7040c9adb">mHeight</a></td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#fb34875469363c35f235c8746d8664f2">mOwnDimensions</a></td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#aa2fce61abce942e356fd81925c394fd">mParentSet</a></td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#a7ad6c8789d8589787c4da34c670d66c">mPosition</a></td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#d861053413ca65e059dd74131a084839">mRotation</a></td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#3d416b1519dc19dde0550cf8ac92d1e1">mTexcoordIndex</a></td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#8100e3deb204c1c8d5f2dd4429cad6b2">mTexcoordRect</a></td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#45a151660ff2ea011a7c051f50d18ef3">mUseTexcoordRect</a></td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#a025549188dc792b76507cf2c7f02c9f">mWidth</a></td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#e5bf31f1d013a1f0c3b5a92e46c76d11">resetDimensions</a>(void)</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#9126c29605e55b8bdb5f81adf267259a">setColour</a>(const ColourValue &amp;colour)</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#c7c7422926a4387ae58c7303b701b8f0">setDimensions</a>(Real width, Real height)</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#eb9ce5d9c11492faf34f3ee61e4a4a40">setPosition</a>(const Vector3 &amp;position)</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#0e78e6b90bbf3184f45d0a87bbeb229b">setPosition</a>(Real x, Real y, Real z)</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#8e64eda09ec65dea10dc180b68801d94">setRotation</a>(const Radian &amp;rotation)</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#e8aa54c0303721dfc34ebbd8bdf1e8f4">setTexcoordIndex</a>(uint16 texcoordIndex)</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#22f28d979395f04c6039d46a68c4eefb">setTexcoordRect</a>(const FloatRect &amp;texcoordRect)</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#78525470bb318948f9cf68ddf9281aa8">setTexcoordRect</a>(Real u0, Real v0, Real u1, Real v1)</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#3ef9bffd0c2a51d1bbac274bdf86c869">~Billboard</a>()</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:09 2008
</p>
</body>
</html>
